<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Interact/Vehicles/ActionOpenCarDoorsOutside.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d27/_action_open_car_doors_outside_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionOpenCarDoorsOutside.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d27/_action_open_car_doors_outside_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d2/dbc/class_action_open_car_doors_outside.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/dbc/class_action_open_car_doors_outside.html">ActionOpenCarDoorsOutside</a>: <a class="code hl_class" href="../../d3/de4/class_action_car_doors_outside.html">ActionCarDoorsOutside</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d2/dbc/class_action_open_car_doors_outside.html#a802ad3a88fce8627acfb094144e56faa">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/dbc/class_action_open_car_doors_outside.html#a802ad3a88fce8627acfb094144e56faa">ActionOpenCarDoorsOutside</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../d3/de4/class_action_car_doors_outside.html#a779eb80f60dbca8df867c7cbe51b9c34">m_IsOpening</a>     = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_function" href="../../d3/de4/class_action_car_doors_outside.html#a2a3f13c0ad8765fb9a6a1a8e37c40c2e">FillCommandUIDPerCrewIdx</a>(<a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_DRIVER_DOOR_OPEN, <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_CODRIVER_DOOROPEN);</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#open&quot;</span>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    }</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>};</div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="aclass_action_car_doors_outside_html"><div class="ttname"><a href="../../d3/de4/class_action_car_doors_outside.html">ActionCarDoorsOutside</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da4/_action_car_doors_outside_8c_source.html#l00001">ActionCarDoorsOutside.c:2</a></div></div>
<div class="ttc" id="aclass_action_car_doors_outside_html_a2a3f13c0ad8765fb9a6a1a8e37c40c2e"><div class="ttname"><a href="../../d3/de4/class_action_car_doors_outside.html#a2a3f13c0ad8765fb9a6a1a8e37c40c2e">ActionCarDoorsOutside::FillCommandUIDPerCrewIdx</a></div><div class="ttdeci">protected void FillCommandUIDPerCrewIdx(int crewIdx0, int crewIdx1, int crewIdx2, int crewIdx3)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da4/_action_car_doors_outside_8c_source.html#l00106">ActionCarDoorsOutside.c:106</a></div></div>
<div class="ttc" id="aclass_action_car_doors_outside_html_a779eb80f60dbca8df867c7cbe51b9c34"><div class="ttname"><a href="../../d3/de4/class_action_car_doors_outside.html#a779eb80f60dbca8df867c7cbe51b9c34">ActionCarDoorsOutside::m_IsOpening</a></div><div class="ttdeci">protected bool m_IsOpening</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/da4/_action_car_doors_outside_8c_source.html#l00004">ActionCarDoorsOutside.c:4</a></div></div>
<div class="ttc" id="aclass_action_open_car_doors_outside_html"><div class="ttname"><a href="../../d2/dbc/class_action_open_car_doors_outside.html">ActionOpenCarDoorsOutside</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d27/_action_open_car_doors_outside_8c_source.html#l00001">ActionOpenCarDoorsOutside.c:2</a></div></div>
<div class="ttc" id="aclass_action_open_car_doors_outside_html_a802ad3a88fce8627acfb094144e56faa"><div class="ttname"><a href="../../d2/dbc/class_action_open_car_doors_outside.html#a802ad3a88fce8627acfb094144e56faa">ActionOpenCarDoorsOutside::ActionOpenCarDoorsOutside</a></div><div class="ttdeci">void ActionOpenCarDoorsOutside()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d27/_action_open_car_doors_outside_8c_source.html#l00003">ActionOpenCarDoorsOutside.c:3</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_db22a6aaa1333ce39e022321034f28d1.html">Interact</a></li><li class="navelem"><a class="el" href="../../dir_14602dcc2d0a643325d2f7d3aff9a7f4.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../d1/d27/_action_open_car_doors_outside_8c.html">ActionOpenCarDoorsOutside.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
